@echo off
echo Numeric item (integer)
copy /y value.1 prog.cob > nul
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>result
if not errorlevel 1 goto err
diff value.2 result
if errorlevel 1 goto err

echo Numeric item (non-integer)
copy /y value.3 prog.cob > nul
cobc -x -C -std=cobol2002 -debug -o prog prog.cob > comp.out 2>result
if errorlevel 1 goto err
diff value.4 result
if errorlevel 1 goto err

echo Numeric item with picture P
copy /y value.5 prog.cob > nul
cobc -x -C -std=cobol2002 -debug -o prog prog.cob > comp.out 2>result
if errorlevel 1 goto err
diff value.6 result
if errorlevel 1 goto err

echo Signed numeric literal
copy /y value.7 prog.cob > nul
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>result
if not errorlevel 1 goto err
diff value.8 result
if errorlevel 1 goto err

echo Alphabetic item
copy /y value.9 prog.cob > nul
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>result
if not errorlevel 1 goto err
diff value.10 result
if errorlevel 1 goto err

echo Alphanumeric item
copy /y value.11 prog.cob > nul
cobc -x -C -std=cobol2002 -debug -o prog prog.cob > comp.out 2>result
if errorlevel 1 goto err
diff value.12 result
if errorlevel 1 goto err

echo Alphanumeric group item
copy /y value.13 prog.cob > nul
cobc -x -C -std=cobol2002 -debug -o prog prog.cob > comp.out 2>result
if errorlevel 1 goto err
diff value.14 result
if errorlevel 1 goto err

echo Numeric-edited item
copy /y value.15 prog.cob > nul
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>result
if errorlevel 1 goto err
diff value.16 result
if errorlevel 1 goto err

echo Alphanumeric-edited item
copy /y value.17 prog.cob > nul
cobc -x -C -std=cobol2002 -debug -o prog prog.cob > comp.out 2>result
if errorlevel 1 goto err
diff value.18 result
if errorlevel 1 goto err
echo VALUE TEST PASSED
del prog.* result comp.out
goto end

:err
	echo VALUE TEST FAILED
	pause
:end
